stages:
  - build
  - test

build website:
  stage: build
  image: node
  script:
    - npm install
    - npm install -g gatsby-cli
    - gatsby build
  artifacts:
    paths:
      - ./public

test artifact:
  stage: test
  image: alpine
  script:
    - grep -q "Gatsby" ./public/index.html

test browsing:
  stage: test
  image: node
  script:
    - npm install -g gatsby-cli
    - npm install
    - gatsby serve &
    - curl "http://localhost:9000" |tac|tac| grep -q "Gatsby"